<?php
require_once('../includes/common.php');
$time = time();
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>充值页面</title>
	<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />
    <meta content="yes" name="apple-mobile-web-app-capable">
    <meta content="black" name="apple-mobile-web-app-status-bar-style">
    <meta content="telephone=no" name="format-detection">
	<link rel="stylesheet" href="css/weui.css">
	<link rel="stylesheet" href="css/weuix.css">
</head>
<style type="text/css">
.page-bg{max-width:480px;}
</style>
<body ontouchstart class="page-bg center">
<div class="page-hd">
    <h1 class="page-hd-title">
        在线充值页面
    </h1>
	<a href="javascript:closeWx();" class="weui-btn weui-btn_mini weui-btn_default b-orange">关闭页面</a>
</div>
    <form name="alipayment" action="epayapi.php" method="post" target="_blank">

        <div class="weui-pay">

            <p class="weui-pay-info"><label class="label f-red b-red f16">充值账号→ 【<?= $userinfo['user'] ?>】</label></p>
    	<div class="weui-cell weui-cell_select weui-cell_select-after">
            <div class="weui-cell__hd"><label class="weui-label">选择套餐：</label></div>
            <div class="weui-cell__bd">
              <select class="weui-select" name="money">
                <option value="30">30元30平台币</option>
				<option value="50">50元50平台币</option>
	            <option value="100">100元100平台币</option>
				<option value="200">200元200平台币</option>
				<option value="500">500元500平台币</option>
				<option value="1000">1000元1000平台币</option>
	            <option value="2000">2000元2000平台币</option>
	            <option value="5000">其他大额找管理代为充值</option>
              </select>
            </div>
          </div>
         
          <div class="weui-cell weui-cell_select weui-cell_select-after">
            <div class="weui-cell__hd"><label class="weui-label">支付方式：</label></div>
            <div class="weui-cell__bd">
              <select class="weui-select" name="type">
                <option selected="" value="wxpay">微信支付</option>
                <option value="alipay">支付宝支付</option>
                <option value="qqpay">QQ钱包</option>
              </select>
            </div>
          </div>
            <div class="pay-div">
                <input type='hidden'id="out_trade_no"  name='userdanhao' value ='<?= $time?>'/>
                <input type='hidden' name='name' value ='<?= $userinfo['user'] ?>'/>
                <button type="submit" class="weui-btn weui-btn_primary">立即支付</button>
            </div>
        </div>
    </form>
</body>
</html>

<script language="javascript">
function closeWx(){
    var ua = navigator.userAgent.toLowerCase();    
    if(ua.match(/MicroMessenger/i)=="micromessenger") {    
         WeixinJSBridge.call('closeWindow');  
    } else if(ua.indexOf("alipay")!=-1){    
         AlipayJSBridge.call('closeWebview');
    }else if(ua.indexOf("baidu")!=-1){
        BLightApp.closeWindow();
    }else{
      window.opener = null;
      window.open("", "_self");
      window.location.href="about:blank";
      window.history.go(0-history.length);
      window.close();
    }
}
</script>